package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsUserNewTask;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 用户新手任务Mapper接口
 *
 * @author fs
 * @date 2024-08-27
 */
public interface FsUserNewTaskMapper
{
    /**
     * 查询用户新手任务
     *
     * @param taskId 用户新手任务主键
     * @return 用户新手任务
     */
    public FsUserNewTask selectFsUserNewTaskByTaskId(Long taskId);

    /**
     * 查询用户新手任务列表
     *
     * @param fsUserNewTask 用户新手任务
     * @return 用户新手任务集合
     */
    public List<FsUserNewTask> selectFsUserNewTaskList(FsUserNewTask fsUserNewTask);

    /**
     * 新增用户新手任务
     *
     * @param fsUserNewTask 用户新手任务
     * @return 结果
     */
    public int insertFsUserNewTask(FsUserNewTask fsUserNewTask);

    /**
     * 修改用户新手任务
     *
     * @param fsUserNewTask 用户新手任务
     * @return 结果
     */
    public int updateFsUserNewTask(FsUserNewTask fsUserNewTask);

    /**
     * 删除用户新手任务
     *
     * @param taskId 用户新手任务主键
     * @return 结果
     */
    public int deleteFsUserNewTaskByTaskId(Long taskId);

    /**
     * 批量删除用户新手任务
     *
     * @param taskIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsUserNewTaskByTaskIds(Long[] taskIds);

    @Select("select * from fs_user_new_task where user_id = #{userId}")
    FsUserNewTask selectFsUserNewTaskByUserId(@Param("userId") Long userId);
}
